# This file is a template, and might need editing before it works on your project.
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Python.gitlab-ci.yml

# Official language image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/python/tags/
image: python:latest

# Change pip's cache directory to be inside the project directory since we can
# only cache local items.
variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

# https://pip.pypa.io/en/stable/topics/caching/
cache:
  paths:
    - .cache/pip

.run-tests:
  script:
    - python --version ; pip --version  # For debugging
    - pip install virtualenv
    - virtualenv venv
    - source venv/bin/activate
    - cd gxdch_test
    - pip install -r requirements.txt
    - python3 gxdch_test.py complianceUrl=$COMPLIANCE_URL registryUrl=$REGISTRY_URL notaryUrl=$NOTARY_URL


stages:
  - test

test-tsystems:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://gx-compliance.gxdch.dih.telekom.com/v1"
    REGISTRY_URL: "https://gx-registry.gxdch.dih.telekom.com/v1"
    NOTARY_URL: "https://gx-notary.gxdch.dih.telekom.com/v1"

test-aruba:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://gx-compliance.aruba.it/v1"
    REGISTRY_URL: "https://gx-registry.aruba.it/v1"
    NOTARY_URL: "https://gx-notary.aruba.it/v1"

test-airesnetwork:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://gx-compliance.airenetworks.es/v1"
    REGISTRY_URL: "https://gx-registry.airenetworks.es/v1"
    NOTARY_URL: "https://gx-notary.airenetworks.es/v1"

test-arsys:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://gx-compliance.arsys.es/v1"
    REGISTRY_URL: "https://gx-registry.arsys.es/v1"
    NOTARY_URL: "https://gx-notary.arsys.es/v1"

test-deltadao:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://www.delta-dao.com/compliance/v1"
    REGISTRY_URL: "https://www.delta-dao.com/registry/v1"
    NOTARY_URL: "https://www.delta-dao.com/notary/v1"

test-ovh:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://compliance.gxdch.gaiax.ovh/v1"
    REGISTRY_URL: "https://registry.gxdch.gaiax.ovh/v1"
    NOTARY_URL: "https://notary.gxdch.gaiax.ovh/v1"

test-neusta-aerospace:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://aerospace-digital-exchange.eu/compliance/v1"
    REGISTRY_URL: "https://aerospace-digital-exchange.eu/registry/v1"
    NOTARY_URL: "https://aerospace-digital-exchange.eu/notary/v1"

test-proximus:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://gx-compliance.gxdch.proximus.eu/v1"
    REGISTRY_URL: "https://gx-registry.gxdch.proximus.eu/v1"
    NOTARY_URL: "https://gx-notary.gxdch.proximus.eu/v1"

test-pfzalkom:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://compliance.pfalzkom-gxdch.de/v1"
    REGISTRY_URL: "https://portal.pfalzkom-gxdch.de/v1"
    NOTARY_URL: "https://trust-anker.pfalzkom-gxdch.de/v1"

test-cispe:
  stage: test
  extends: .run-tests
  variables:
    COMPLIANCE_URL: "https://compliance.cispe.gxdch.clouddataengine.io/v1"
    REGISTRY_URL: "https://registry.cispe.gxdch.clouddataengine.io/v1"
    NOTARY_URL: "https://notary.cispe.gxdch.clouddataengine.io/v1"
